﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CookBook
{
    class Recipe
    {
        string preparation;
        List<Ingredient> ingredients;
        string imageUrl;
        string iconUrl;
        string title;

        public Recipe(string title)
        {
            this.title = title;
            ingredients = new List<Ingredient>();
            imageUrl = "";
            preparation = "";
        }

        public string Preparation
        {
            get { return preparation; }
            set { preparation = value; }
        }

        public List<Ingredient> Ingredients
        {
            get { return ingredients; }
            set { ingredients = value; }
        }

        public string ImageUrl
        {
            get { return imageUrl; }
            set { imageUrl = value; }
        }

        public string IconUrl
        {
            get { return iconUrl; }
            set { iconUrl = value; }
        }

        public string Title
        {
            get { return title; }
        }
    }
}
